{
  config,
  lib,
  modulesPath,
  ...
}: {
  imports = [(modulesPath + "/installer/scan/not-detected.nix")];

  boot.initrd.availableKernelModules = ["xhci_pci" "ahci" "nvme" "usbhid" "usb_storage" "sd_mod"];
  boot.initrd.kernelModules = [];
  boot.kernelModules = ["kvm-intel"];
  boot.extraModulePackages = [];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/b8a0cc98-5882-4b69-a8cb-375726767606";
    fsType = "ext4";
  };

  boot.initrd.luks.devices."luks-bd0a4998-266e-4aae-8f20-89561a2fa169".device = "/dev/disk/by-uuid/bd0a4998-266e-4aae-8f20-89561a2fa169";

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/5531-69DC";
    fsType = "vfat";
  };

  swapDevices = [{device = "/dev/disk/by-uuid/eb7acf5d-e5db-45fa-8691-8ef5641cde68";}];

  networking.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
  hardware.cpu.intel.updateMicrocode =
    lib.mkDefault config.hardware.enableRedistributableFirmware;
}
